import { StateObject } from "@hpcc-js/util";
import { IConnection, IOptions } from "../connection.ts";
import { WorkunitsService, WsWorkunits } from "../services/wsWorkunits.ts";
export interface ECLSourceFileEx extends WsWorkunits.ECLSourceFile {
    Wuid: string;
}
export declare class SourceFile extends StateObject<ECLSourceFileEx, ECLSourceFileEx> implements ECLSourceFileEx {
    protected connection: WorkunitsService;
    get properties(): WsWorkunits.ECLSourceFile;
    get Wuid(): string;
    get FileCluster(): string;
    get Name(): string;
    get IsSuperFile(): boolean;
    get Subs(): number;
    get Count(): number;
    get ECLSourceFiles(): WsWorkunits.ECLSourceFiles;
    constructor(optsConnection: IOptions | IConnection | WorkunitsService, wuid: string, eclSourceFile: WsWorkunits.ECLSourceFile);
}
